Bug 446169 - Java VM crash when using threads
Java VM crash when using threads
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 03:25 EDT by Greg Martyn
Modified: 2009-01-09 01:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hs_err_pid10112.log (18.89 KB, text/plain)
2008-05-13 03:25 EDT, Greg Martyn
no flags Details
Eclipse project that demonstrates the bug. Uses Threads. (3.51 KB, application/x-tbz)
2008-05-13 03:26 EDT, Greg Martyn
no flags Details
Eclipse project that works normally. No Threads. (3.51 KB, application/x-tbz)
2008-05-13 03:27 EDT, Greg Martyn
no flags Details
diff CollectiveNet.java.works CollectiveNet.java.bug (381 bytes, text/x-diff)
2008-05-13 03:28 EDT, Greg Martyn
no flags Details

  None (edit)
Description Greg Martyn 2008-05-13 03:25:47 EDT
Description of problem:
Was creating a multi-threaded program. The code just starts a new thread and 
immediately joins it. Once the Java VM crashed. Other times it just runs very 
slowly. I'm using Fedora Eclipse.

Version-Release number of selected component (if applicable):
java-1.7.0-icedtea.x86_64                1.7.0.0-0.19.b21.snaps installed

How reproducible:
I only got the crash once. Other times, it just runs very slowly. It responds 
very slowly to pause / stop debugging requests. There is plenty of free 
memory. One CPU core appears to be fully utilized (htop reports both at 50%)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00000035f9a72bc9, pid=10112, tid=1074792784
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b21 mixed mode linux-amd64)
# Problematic frame:
# C  [libc.so.6+0x72bc9]
#
# An error report file with more information is saved as:
# /home/greg/Documents/Eclipse/CollectiveNet/hs_err_pid10112.log
# [ timer expired, abort... ]


Expected results:


Additional info:
Comment 1 Greg Martyn 2008-05-13 03:25:47 EDT
Created attachment 305206 [details]
hs_err_pid10112.log
Comment 2 Greg Martyn 2008-05-13 03:26:53 EDT
Created attachment 305207 [details]
Eclipse project that demonstrates the bug. Uses Threads.
Comment 3 Greg Martyn 2008-05-13 03:27:25 EDT
Created attachment 305208 [details]
Eclipse project that works normally. No Threads.
Comment 4 Greg Martyn 2008-05-13 03:28:36 EDT
Created attachment 305209 [details]
diff CollectiveNet.java.works CollectiveNet.java.bug

The only difference between the two zip files
Comment 5 Greg Martyn 2008-05-13 03:32:21 EDT
I just installed java-1.7.0-icedtea-debuginfo.x86_64 in case it crashes again.
Comment 6 Greg Martyn 2008-05-29 04:18:04 EDT
I am using java 1.6 on F9 now. I'm sorry that I can't assist with this any
longer.
Comment 7 Bug Zapper 2008-11-26 05:41:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:29:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.